Bug 92002 - (TG3 STACKOVERFLOW)Dell PE2650 crash with 2.4.20-13.7 smp, tg3?
(TG3 STACKOVERFLOW)Dell PE2650 crash with 2.4.20-13.7 smp, tg3?
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On: 87659
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-30 17:51 EDT by Steven Danz
Modified: 2007-04-18 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Steeleye NFS Kernel Errors on HP DL380 HA Cluster running Steeleye LifeKeeper (64.74 KB, text/plain)
2003-12-09 16:51 EST, James Dickson
no flags Details

  None (edit)
Description Steven Danz 2003-05-30 17:51:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
Crash within 24 hours of a reboot on Dell PE2650 servers running
the smp 2.4.20-13.7 errata kernel.  Symptoms include kernel panic
and loss of network connection.  Was able to capture one kernel
panic that mentioned the tg3 driver.  (To date, the kernel works
fine on systems not using the tg3 driver)  At times, when the panic
occurs, the messages scroll by continuously and can only be stopped
by power cycling the system.

Have noticed that within 10 minutes of reboot that the system
is using >1Gig of ram (reported by free and top), and the total
memory used by processes is way under that.

Will attach the kernel panic to the bug.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot Dell PE 2650 with 2.4.20-13.7 smp kernel
2. Generate high network load
3. Crash
    

Additional info:
Comment 1 Steven Danz 2003-05-30 17:54:23 EDT
 14:12:58 problem_child kernel: tg3: eth1: Link is down.
May 30 14:13:04 problem_child kernel: tg3: eth1: Link is up at 1000 Mbps, full
duplex.
May 30 14:13:04 problem_child kernel: tg3: eth1: Flow control is off for TX and
off for RX.
May 30 14:13:05 problem_child kernel: tg3: eth1: Link is down.
May 30 14:13:10 problem_child kernel: tg3: eth1: Link is up at 1000 Mbps, full
duplex.
May 30 14:13:10 problem_child kernel: tg3: eth1: Flow control is off for TX and
off for RX.
May 30 14:15:29 problem_child kernel: tg3: eth1: Link is down.
May 30 14:15:34 problem_child kernel: tg3: eth1: Link is up at 1000 Mbps, full
duplex.
May 30 14:15:34 problem_child kernel: tg3: eth1: Flow control is on for TX and
on for RX.
May 30 16:31:03 problem_child kernel: tg3: eth0: Link is down.
May 30 16:31:15 problem_child kernel: nfs: server fs not responding, still trying
May 30 16:31:18 problem_child kernel: nfs: server fs not responding, still trying
May 30 16:31:25 problem_child kernel: tg3: eth0: Link is up at 100 Mbps, full
duplex.
May 30 16:31:25 problem_child kernel: tg3: eth0: Flow control is off for TX and
off for RX.
May 30 16:32:03 problem_child kernel: tg3: eth0: Link is down.
May 30 16:32:05 problem_child kernel: tg3: eth0: Link is up at 100 Mbps, full
duplex.
May 30 16:32:05 problem_child kernel: tg3: eth0: Flow control is off for TX and
off for RX.
May 30 16:32:32 problem_child kernel: tg3: eth0: Link is down.
May 30 16:32:45 problem_child kernel: tg3: eth0: Link is up at 100 Mbps, full
duplex.
May 30 16:32:45 problem_child kernel: tg3: eth0: Flow control is off for TX and
off for RX.
May 30 16:33:28 problem_child kernel: nfs: server fs OK
May 30 16:33:31 problem_child kernel: nfs: server fs OK
May 30 20:29:48 problem_child kernel: do_IRQ: stack overflow: 952
May 30 20:29:48 problem_child kernel: c0251065 000003b8 00000000 f6521a3c
c2c9fc80 f6521a3c f6521900 c024a50c
May 30 20:29:48 problem_child kernel:        f6521a3c f696ea80 f6521900 c2c9fc80
f6521a3c f6521900 000007a0 00000018
May 30 20:29:48 problem_child kernel:        00790018 ffffff1c c0211822 00000010
00000202 30333161 c2c918f0 f6e7e800
May 30 20:29:48 problem_child kernel: Call Trace:   [<c0211822>]
tcp_transmit_skb [kernel] 0x132 (0xeef5aa98))
May 30 20:29:48 problem_child kernel: [<c01e57fc>] kfree_skbmem [kernel] 0xc
(0xeef5aacc))
May 30 20:29:48 problem_child kernel: [<c020d627>] tcp_clean_rtx_queue [kernel]
0x227 (0xeef5aae4))
May 30 20:29:48 problem_child kernel: [<c02126e7>] tcp_write_xmit [kernel] 0x157
(0xeef5ab10))
May 30 20:29:48 problem_child kernel: [<c020f9a2>] __tcp_data_snd_check [kernel]
0x52 (0xeef5ab54))
May 30 20:29:48 problem_child kernel: [<c01e597e>] __kfree_skb [kernel] 0x11e
(0xeef5ab64))
May 30 20:29:48 problem_child kernel: [<c020fdf0>] tcp_rcv_established [kernel]
0x110 (0xeef5ab78))
May 30 20:29:48 problem_child kernel: [<c0218138>] tcp_v4_do_rcv [kernel] 0x38
(0xeef5ac5c))
May 30 20:29:48 problem_child kernel: [<c021868d>] tcp_v4_rcv [kernel] 0x46d
(0xeef5ac8c))
May 30 20:29:48 problem_child kernel: [<c01ff007>] ip_local_deliver_finish
[kernel] 0xb7 (0xeef5ad40))
May 30 20:29:48 problem_child kernel: [<c01f045e>] nf_iterate [kernel] 0x2e
(0xeef5ad48))
May 30 20:29:48 problem_child kernel: [<c01fef50>] ip_local_deliver_finish
[kernel] 0x0 (0xeef5ad5c))
May 30 20:29:48 problem_child kernel: [<c01fef50>] ip_local_deliver_finish
[kernel] 0x0 (0xeef5ad6c))
May 30 20:29:48 problem_child kernel: [<c01f078f>] nf_hook_slow [kernel] 0xcf
(0xeef5ad70))
May 30 20:29:48 problem_child kernel: [<c01fef50>] ip_local_deliver_finish
[kernel] 0x0 (0xeef5ad84))
May 30 20:29:48 problem_child kernel: [<c01f07c6>] nf_hook_slow [kernel] 0x106
(0xeef5ad88))
May 30 20:29:48 problem_child kernel: [<f895d9a8>] __ip_conntrack_find
[ipchains] 0x28 (0xeef5ad98))
May 30 20:29:48 problem_child kernel: [<f895da62>]
ip_conntrack_find_get_Rsmp_b2ef83ad [ipchains] 0x32 (0xeef5adb0))
May 30 20:29:48 problem_child kernel: [<c01feb5b>] ip_local_deliver [kernel]
0x17b (0xeef5adc8))
May 30 20:29:48 problem_child kernel: [<c01fef50>] ip_local_deliver_finish
[kernel] 0x0 (0xeef5ade0))
May 30 20:29:48 problem_child kernel: [<c01fc27b>] ip_route_input [kernel] 0x3b
(0xeef5ade4))
May 30 20:29:48 problem_child kernel: [<c01ff254>] ip_rcv_finish [kernel] 0x1d4
(0xeef5ae24))
May 30 20:29:48 problem_child kernel: [<c01f045e>] nf_iterate [kernel] 0x2e
(0xeef5ae2c))
May 30 20:29:48 problem_child kernel: [<c01ff080>] ip_rcv_finish [kernel] 0x0
(0xeef5ae40))
May 30 20:29:48 problem_child kernel: [<c01ff080>] ip_rcv_finish [kernel] 0x0
(0xeef5ae50))
May 30 20:29:48 problem_child kernel: [<c01f078f>] nf_hook_slow [kernel] 0xcf
(0xeef5ae54))
May 30 20:29:48 problem_child kernel: [<c01ff080>] ip_rcv_finish [kernel] 0x0
(0xeef5ae68))
May 30 20:29:48 problem_child kernel: [<c01f07c6>] nf_hook_slow [kernel] 0x106
(0xeef5ae6c))
May 30 20:29:48 problem_child kernel: [<c01fef0e>] ip_rcv [kernel] 0x39e
(0xeef5aeac))
May 30 20:29:48 problem_child kernel: [<c01ff080>] ip_rcv_finish [kernel] 0x0
(0xeef5aec4))
May 30 20:29:48 problem_child kernel: [<c01e9ea9>] netif_receive_skb [kernel]
0x199 (0xeef5af68))
May 30 20:29:48 problem_child kernel: [<c01e561f>] alloc_skb [kernel] 0xef
(0xeef5af8c))
May 30 20:29:48 problem_child kernel: [<f899f746>] tg3_rx [tg3] 0x296 (0xeef5afa8))
May 30 20:29:48 problem_child kernel: [<c01f3724>] qdisc_restart [kernel] 0x14
(0xeef5afec))
May 30 20:29:48 problem_child kernel: [<f895c214>] fw_in [ipchains] 0x164
(0xeef5aff8))
May 30 20:29:48 problem_child kernel: [<f899f8bb>] tg3_poll [tg3] 0x8b (0xeef5b00c))
May 30 20:29:48 problem_child kernel: [<c01ea09f>] net_rx_action [kernel] 0x9f
(0xeef5b02c))
May 30 20:29:48 problem_child kernel: [<c01f045e>] nf_iterate [kernel] 0x2e
(0xeef5b048))
May 30 20:29:48 problem_child kernel: [<c012107b>] do_softirq [kernel] 0x6b
(0xeef5b064))
May 30 20:29:48 problem_child kernel: [<c0202d80>] ip_finish_output2 [kernel]
0x0 (0xeef5b07c))
May 30 20:29:48 problem_child kernel: [<c01f0c64>] .text.lock.netfilter [kernel]
0xc0 (0xeef5b080))
May 30 20:29:48 problem_child kernel: [<c01e74fe>]
csum_partial_copy_fromiovecend [kernel] 0x1be (0xeef5b0a8))
May 30 20:29:48 problem_child kernel: [<c0201838>] ip_output [kernel] 0x158
(0xeef5b0c8))
May 30 20:29:48 problem_child kernel: [<c0202d80>] ip_finish_output2 [kernel]
0x0 (0xeef5b0e0))
May 30 20:29:48 problem_child kernel: [<c021db1e>] udp_getfrag [kernel] 0x4e
(0xeef5b0ec))
May 30 20:29:48 problem_child kernel: [<c0202597>] ip_build_xmit [kernel] 0x2d7
(0xeef5b110))
May 30 20:29:48 problem_child kernel: [<c021dfcf>] udp_sendmsg [kernel] 0x3cf
(0xeef5b150))
May 30 20:29:48 problem_child kernel: [<c021dad0>] udp_getfrag [kernel] 0x0
(0xeef5b158))
May 30 20:29:48 problem_child kernel: [<c01f3724>] qdisc_restart [kernel] 0x14
(0xeef5b1e8))
May 30 20:29:48 problem_child kernel: [<f8969204>] ipfw_ops [ipchains] 0x0
(0xeef5b1f8))
May 30 20:29:48 problem_child kernel: [<c0224b55>] inet_sendmsg [kernel] 0x35
(0xeef5b20c))
May 30 20:29:48 problem_child kernel: [<c01e204c>] sock_sendmsg [kernel] 0x6c
(0xeef5b220))
May 30 20:29:48 problem_child kernel: [<c0202d80>] ip_finish_output2 [kernel]
0x0 (0xeef5b23c))
May 30 20:29:48 problem_child kernel: [<c01f045e>] nf_iterate [kernel] 0x2e
(0xeef5b244))
May 30 20:29:48 problem_child kernel: [<c0202d80>] ip_finish_output2 [kernel]
0x0 (0xeef5b268))
May 30 20:29:48 problem_child kernel: [<c01f078f>] nf_hook_slow [kernel] 0xcf
(0xeef5b26c))
May 30 20:29:48 problem_child kernel: [<f89dc9fd>] do_xprt_transmit [sunrpc]
0xfd (0xeef5b284))
May 30 20:29:48 problem_child kernel: [<c0201838>] ip_output [kernel] 0x158
(0xeef5b2c4))
May 30 20:29:48 problem_child kernel: [<c0202d80>] ip_finish_output2 [kernel]
0x0 (0xeef5b2dc))
May 30 20:29:48 problem_child kernel: [<c021db1e>] udp_getfrag [kernel] 0x4e
(0xeef5b2e8))
May 30 20:29:48 problem_child kernel: [<f89dab5f>] call_transmit [sunrpc] 0x3f
(0xeef5b35c))
May 30 20:29:48 problem_child kernel: [<f89de3af>] __rpc_execute [sunrpc] 0xaf
(0xeef5b36c))
May 30 20:29:48 problem_child kernel: [<f89da5a6>] rpc_call_setup_Rsmp_6c26fc57
[sunrpc] 0x46 (0xeef5b37c))
May 30 20:29:48 problem_child kernel: [<f89da489>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x69 (0xeef5b388))
May 30 20:29:48 problem_child kernel: [<f89da49a>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x7a (0xeef5b3a8))
May 30 20:29:48 problem_child kernel: [<f89ed114>] all_tasks [sunrpc] 0x0
(0xeef5b3c8))
May 30 20:29:48 problem_child kernel: [<f89dab90>] call_status [sunrpc] 0x0
(0xeef5b3fc))
May 30 20:29:48 problem_child kernel: [<f89dd860>] rpc_run_timer [sunrpc] 0x0
(0xeef5b41c))
May 30 20:29:48 problem_child kernel: [<c01f045e>] nf_iterate [kernel] 0x2e
(0xeef5b440))
May 30 20:29:48 problem_child kernel: [<f8a0a450>] nfs3_rpc_wrapper [nfs] 0x30
(0xeef5b458))
May 30 20:29:48 problem_child kernel: [<f8a0a55d>] nfs3_proc_getattr [nfs] 0x5d
(0xeef5b480))
May 30 20:29:48 problem_child kernel: [<f8a03da1>] __nfs_revalidate_inode [nfs]
0x101 (0xeef5b4c8))
May 30 20:29:48 problem_child kernel: [<c0202d80>] ip_finish_output2 [kernel]
0x0 (0xeef5b4d8))
May 30 20:29:48 problem_child kernel: [<c0210000>] tcp_rcv_established [kernel]
0x320 (0xeef5b4e4))
May 30 20:29:48 problem_child kernel: [<f89ed1a0>] rpc_credcache_lock [sunrpc]
0x0 (0xeef5b534))
May 30 20:29:48 problem_child kernel: [<f89dfecb>] rpcauth_unbindcred [sunrpc]
0x3b (0xeef5b53c))
May 30 20:29:48 problem_child kernel: [<f89dec0d>]
rpc_release_task_Rsmp_44943b39 [sunrpc] 0x1bd (0xeef5b54c))
May 30 20:29:48 problem_child kernel: [<f8a00adf>] nfs_lookup_revalidate [nfs]
0x22f (0xeef5b560))
May 30 20:29:48 problem_child kernel: [<f89da489>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x69 (0xeef5b584))
May 30 20:29:48 problem_child kernel: [<f89da4b0>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x90 (0xeef5b5a0))
May 30 20:29:48 problem_child kernel: [<f89dd860>] rpc_run_timer [sunrpc] 0x0
(0xeef5b618))
May 30 20:29:48 problem_child kernel: [<f8a0a481>] nfs3_rpc_wrapper [nfs] 0x61
(0xeef5b658))
May 30 20:29:48 problem_child kernel: [<c01509a9>] vfs_permission [kernel] 0x79
(0xeef5b65c))
May 30 20:29:48 problem_child kernel: [<c0150bcd>] cached_lookup [kernel] 0x2d
(0xeef5b688))
May 30 20:29:48 problem_child kernel: [<c01515cd>] link_path_walk [kernel] 0x79d
(0xeef5b698))
May 30 20:29:48 problem_child kernel: [<f8a03ecc>] __nfs_revalidate_inode [nfs]
0x22c (0xeef5b6cc))
May 30 20:29:48 problem_child kernel: [<f8a00adf>] nfs_lookup_revalidate [nfs]
0x22f (0xeef5b75c))
May 30 20:29:48 problem_child kernel: [<f89da489>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x69 (0xeef5b780))
May 30 20:29:48 problem_child kernel: [<f89da4b0>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x90 (0xeef5b79c))
May 30 20:29:48 problem_child kernel: [<c01544bd>] vfs_follow_link [kernel]
0x11d (0xeef5b818))
May 30 20:29:48 problem_child kernel: [<c0132d12>] read_cache_page [kernel] 0x42
(0xeef5b81c))
May 30 20:29:48 problem_child kernel: [<c0132d85>] read_cache_page [kernel] 0xb5
(0xeef5b828))
May 30 20:29:48 problem_child kernel: [<f8a07a7a>] nfs_getlink [nfs] 0x1a
(0xeef5b84c))
May 30 20:29:48 problem_child kernel: [<f8a07ad7>] nfs_getlink [nfs] 0x77
(0xeef5b85c))
May 30 20:29:48 problem_child kernel: [<f8a07bb8>] nfs_follow_link [nfs] 0x28
(0xeef5b870))
May 30 20:29:48 problem_child kernel: [<c0150bcd>] cached_lookup [kernel] 0x2d
(0xeef5b884))
May 30 20:29:48 problem_child kernel: [<c015174e>] link_path_walk [kernel] 0x91e
(0xeef5b894))
May 30 20:29:48 problem_child kernel: [<f8a03ecc>] __nfs_revalidate_inode [nfs]
0x22c (0xeef5b8c8))
May 30 20:29:48 problem_child kernel: [<f8a00adf>] nfs_lookup_revalidate [nfs]
0x22f (0xeef5b958))
May 30 20:29:48 problem_child kernel: [<f8a0099c>] nfs_lookup_revalidate [nfs]
0xec (0xeef5b95c))
May 30 20:29:48 problem_child kernel: [<c015a21c>] dput [kernel] 0x1c (0xeef5b9c0))
May 30 20:29:48 problem_child kernel: [<c01544bd>] vfs_follow_link [kernel]
0x11d (0xeef5ba14))
May 30 20:29:48 problem_child kernel: [<c0132d12>] read_cache_page [kernel] 0x42
(0xeef5ba18))
May 30 20:29:48 problem_child kernel: [<c0132d85>] read_cache_page [kernel] 0xb5
(0xeef5ba24))
May 30 20:29:48 problem_child kernel: [<f8a07a7a>] nfs_getlink [nfs] 0x1a
(0xeef5ba48))
May 30 20:29:48 problem_child kernel: [<f8a07ad7>] nfs_getlink [nfs] 0x77
(0xeef5ba58))
May 30 20:29:48 problem_child kernel: [<f8a07bb8>] nfs_follow_link [nfs] 0x28
(0xeef5ba6c))
May 30 20:29:48 problem_child kernel: [<c0150bcd>] cached_lookup [kernel] 0x2d
(0xeef5ba80))
May 30 20:29:48 problem_child kernel: [<c01512fe>] link_path_walk [kernel] 0x4ce
(0xeef5ba90))
May 30 20:29:48 problem_child kernel: [<f8a0099c>] nfs_lookup_revalidate [nfs]
0xec (0xeef5bb58))
May 30 20:29:48 problem_child kernel: [<c0218138>] tcp_v4_do_rcv [kernel] 0x38
(0xeef5bb84))
May 30 20:29:48 problem_child kernel: [<c021868d>] tcp_v4_rcv [kernel] 0x46d
(0xeef5bbb4))
May 30 20:29:48 problem_child kernel: [<c01544bd>] vfs_follow_link [kernel]
0x11d (0xeef5bc10))
May 30 20:29:48 problem_child kernel: [<c0132d12>] read_cache_page [kernel] 0x42
(0xeef5bc14))
May 30 20:29:48 problem_child kernel: [<c0132d85>] read_cache_page [kernel] 0xb5
(0xeef5bc20))
May 30 20:29:48 problem_child kernel: [<f8a07a7a>] nfs_getlink [nfs] 0x1a
(0xeef5bc44))
May 30 20:29:48 problem_child kernel: [<f8a07ad7>] nfs_getlink [nfs] 0x77
(0xeef5bc54))
May 30 20:29:48 problem_child kernel: [<f8a07bb8>] nfs_follow_link [nfs] 0x28
(0xeef5bc68))
May 30 20:29:48 problem_child kernel: [<c0150bcd>] cached_lookup [kernel] 0x2d
(0xeef5bc7c))
May 30 20:29:48 problem_child kernel: [<c01512fe>] link_path_walk [kernel] 0x4ce
(0xeef5bc8c))
May 30 20:29:48 problem_child kernel: [<c01fef50>] ip_local_deliver_finish
[kernel] 0x0 (0xeef5bcac))
May 30 20:29:48 problem_child kernel: [<c01f07c6>] nf_hook_slow [kernel] 0x106
(0xeef5bcb0))
May 30 20:29:48 problem_child kernel: [<f895d9a8>] __ip_conntrack_find
[ipchains] 0x28 (0xeef5bcc0))
May 30 20:29:48 problem_child kernel: [<f895da62>]
ip_conntrack_find_get_Rsmp_b2ef83ad [ipchains] 0x32 (0xeef5bcd8))
May 30 20:29:48 problem_child kernel: [<c01feb5b>] ip_local_deliver [kernel]
0x17b (0xeef5bcf0))
May 30 20:29:48 problem_child kernel: [<c01fef50>] ip_local_deliver_finish
[kernel] 0x0 (0xeef5bd08))
May 30 20:29:48 problem_child kernel: [<c01fc27b>] ip_route_input [kernel] 0x3b
(0xeef5bd0c))
May 30 20:29:48 problem_child kernel: [<c01ff254>] ip_rcv_finish [kernel] 0x1d4
(0xeef5bd4c))
May 30 20:29:48 problem_child kernel: [<c01f045e>] nf_iterate [kernel] 0x2e
(0xeef5bd54))
May 30 20:29:48 problem_child kernel: [<c01ff080>] ip_rcv_finish [kernel] 0x0
(0xeef5bd68))
May 30 20:29:48 problem_child kernel: [<c01ff080>] ip_rcv_finish [kernel] 0x0
(0xeef5bd78))
May 30 20:29:48 problem_child kernel: [<c01f078f>] nf_hook_slow [kernel] 0xcf
(0xeef5bd7c))
May 30 20:29:48 problem_child kernel: [<c01ff080>] ip_rcv_finish [kernel] 0x0
(0xeef5bd90))
May 30 20:29:48 problem_child kernel: [<c01f07c6>] nf_hook_slow [kernel] 0x106
(0xeef5bd94))
May 30 20:29:48 problem_child kernel: [<c01fef0e>] ip_rcv [kernel] 0x39e
(0xeef5bdd4))
May 30 20:29:48 problem_child kernel: [<c0151a8b>] path_lookup [kernel] 0x1b
(0xeef5be0c))
May 30 20:29:48 problem_child kernel: [<c014e986>] open_exec [kernel] 0x16
(0xeef5be1c))
May 30 20:29:48 problem_child kernel: [<c0142f46>] __pte_chain_free [kernel]
0x16 (0xeef5be3c))
May 30 20:29:48 problem_child kernel: [<c014f51e>] do_execve [kernel] 0x1e
(0xeef5be4c))
May 30 20:29:48 problem_child kernel: [<c01e561f>] alloc_skb [kernel] 0xef
(0xeef5be6c))
May 30 20:29:48 problem_child kernel: [<c01e9ea9>] netif_receive_skb [kernel]
0x199 (0xeef5be90))
May 30 20:29:48 problem_child kernel: [<c012dcce>] handle_mm_fault [kernel]
0x12e (0xeef5bea8))
May 30 20:29:48 problem_child kernel: [<f899f746>] tg3_rx [tg3] 0x296 (0xeef5bed0))
May 30 20:29:48 problem_child kernel: [<f8a08757>] nfs_scan_commit [nfs] 0x27
(0xeef5bef0))
May 30 20:29:48 problem_child kernel: [<c0117c77>] do_page_fault [kernel] 0x1a7
(0xeef5bf04))
May 30 20:29:48 problem_child kernel: [<c012711c>] do_sigaction [kernel] 0xdc
(0xeef5bf48))
May 30 20:29:48 problem_child kernel: [<c0127513>] sys_rt_sigaction [kernel]
0x93 (0xeef5bf60))
May 30 20:29:48 problem_child kernel: [<c01508ee>] getname [kernel] 0x5e
(0xeef5bf90))
May 30 20:29:48 problem_child kernel: [<c0107680>] sys_execve [kernel] 0x30
(0xeef5bfa4))
May 30 20:29:48 problem_child kernel: [<c0108be3>] system_call [kernel] 0x33
(0xeef5bfc0))
May 30 20:29:48 problem_child kernel:
Comment 2 Steven Danz 2003-05-30 17:56:35 EDT
The 2.4.18-27.7.xsmp kernel worked fine to date, the problems only started with
the new errata kernel.  The problem appears on all four servers (all identical
hardware) that the kernel was installed on.
Comment 3 Steve Snodgrass 2003-06-09 09:15:31 EDT
Take a look at Bugzilla 91566, we may be in the same boat.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=91566
Comment 4 Daniel J Blueman 2003-07-08 07:00:07 EDT
Can someone important change the summary to 'Kernel stack overflow with 2.4.20-
18.x and -13.7 (smp) and tg3/eepro100' please?

And the version to 9 - as this applies here too, and will be more relevant.

Jul  7 21:19:29 benhur0 kernel: do_IRQ: stack overflow: 812
Jul  7 21:19:29 benhur0 kernel: c0257b99 0000032c 00000001 f6f7d980 000003e7 
f6f700c0 fcae6002 c0250fa8 
Jul  7 21:19:29 benhur0 kernel:        f6f7d980 f6f70000 001a7443 000003e7 
f6f700c0 fcae6002 00000000 00000068 
Jul  7 21:19:29 benhur0 kernel:        00000068 ffffff05 fcae08e5 00000060 
00000292 00000292 fcae6000 00000000 
Jul  7 21:19:29 benhur0 kernel: Call Trace:   [<fcae08e5>] speedo_start_xmit 
[eepro100] 0x205 (0xf523eb2c))
Jul  7 21:19:29 benhur0 kernel: [<c01fa0ca>] qdisc_restart [kernel] 0x6a 
(0xf523eb60))
Jul  7 21:19:29 benhur0 kernel: [<c01f004e>] dev_queue_xmit [kernel] 0x14e 
(0xf523eb88))
Jul  7 21:19:29 benhur0 kernel: [<c0208302>] ip_output [kernel] 0x102 
(0xf523ebdc))
Jul  7 21:19:29 benhur0 kernel: [<fcad593b>] nulldevname.0 [ip_tables] 0x0 
(0xf523ebe4))
Jul  7 21:19:29 benhur0 kernel: [<c0209ac0>] ip_queue_xmit2 [kernel] 0x120 
(0xf523ec10))
Jul  7 21:19:29 benhur0 kernel: [<fcad8960>] packet_filter [iptable_filter] 0x0 
(0xf523ec20))
Jul  7 21:19:29 benhur0 kernel: [<c01f6dae>] nf_iterate [kernel] 0x2e 
(0xf523ec28))
Jul  7 21:19:29 benhur0 kernel: [<c02099a0>] ip_queue_xmit2 [kernel] 0x0 
(0xf523ec3c))
Jul  7 21:19:29 benhur0 kernel: [<c02099a0>] ip_queue_xmit2 [kernel] 0x0 
(0xf523ec4c))
Jul  7 21:19:29 benhur0 kernel: [<c01f70df>] nf_hook_slow [kernel] 0xcf 
(0xf523ec50))
Jul  7 21:19:29 benhur0 kernel: [<c02099a0>] ip_queue_xmit2 [kernel] 0x0 
(0xf523ec64))
Jul  7 21:19:29 benhur0 kernel: [<c01f7116>] nf_hook_slow [kernel] 0x106 
(0xf523ec68))
Jul  7 21:19:29 benhur0 kernel: [<c0208826>] ip_queue_xmit [kernel] 0x4b6 
(0xf523eca8))
Jul  7 21:19:29 benhur0 kernel: [<c02099a0>] ip_queue_xmit2 [kernel] 0x0 
(0xf523ecc0))
Jul  7 21:19:29 benhur0 kernel: [<c021dd2e>] tcp_v4_send_check [kernel] 0x6e 
(0xf523ed5c))
Jul  7 21:19:29 benhur0 kernel: [<c0218785>] tcp_transmit_skb [kernel] 0x565 
(0xf523ed84))
Jul  7 21:19:29 benhur0 kernel: [<c01eba09>] sock_def_readable [kernel] 0x39 
(0xf523edb0))
Jul  7 21:19:30 benhur0 kernel: [<c02156f3>] tcp_data_queue [kernel] 0x363 
(0xf523edcc))
Jul  7 21:19:30 benhur0 kernel: [<c01ebebf>] alloc_skb [kernel] 0xef 
(0xf523ede0))
Jul  7 21:19:30 benhur0 kernel: [<c020bad0>] tcp_rfree [kernel] 0x0 
(0xf523edf0))
Jul  7 21:19:30 benhur0 kernel: [<c021ad01>] tcp_send_ack [kernel] 0xc1 
(0xf523edf8))
Jul  7 21:19:30 benhur0 kernel: [<c020bad0>] tcp_rfree [kernel] 0x0 
(0xf523ee0c))
Jul  7 21:19:30 benhur0 kernel: [<c0216c0c>] tcp_rcv_established [kernel] 0x3fc 
(0xf523ee1c))
Jul  7 21:19:30 benhur0 kernel: [<fcae1293>] speedo_rx [eepro100] 0x313 
(0xf523ee2c))
Jul  7 21:19:30 benhur0 kernel: [<c0216c39>] tcp_rcv_established [kernel] 0x429 
(0xf523ee4c))
Jul  7 21:19:30 benhur0 kernel: [<fcae0b94>] speedo_interrupt [eepro100] 0x94 
(0xf523ee98))
Jul  7 21:19:30 benhur0 kernel: [<c010a9fe>] handle_IRQ_event [kernel] 0x5e 
(0xf523eebc))
Jul  7 21:19:30 benhur0 kernel: [<c01ed27c>] skb_checksum [kernel] 0x4c 
(0xf523eecc))
Jul  7 21:19:30 benhur0 kernel: [<c010ac54>] do_IRQ [kernel] 0xe4 (0xf523eee4))
Jul  7 21:19:30 benhur0 kernel: [<c021ec68>] tcp_v4_do_rcv [kernel] 0x38 
(0xf523eefc))
Jul  7 21:19:31 benhur0 kernel: [<c021eb9f>] tcp_v4_checksum_init [kernel] 0x7f 
(0xf523ef14))
Jul  7 21:19:31 benhur0 kernel: [<c021f1bd>] tcp_v4_rcv [kernel] 0x46d 
(0xf523ef2c))
Jul  7 21:19:31 benhur0 kernel: [<c021f1bd>] tcp_v4_rcv [kernel] 0x46d 
(0xf523ef60))
Jul  7 21:19:31 benhur0 kernel: [<fcad593b>] nulldevname.0 [ip_tables] 0x0 
(0xf523efa0))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523efc4))
Jul  7 21:19:31 benhur0 kernel: [<fcad8080>] ipt_hook [iptable_filter] 0x20 
(0xf523efcc))
Jul  7 21:19:31 benhur0 kernel: [<c0205957>] ip_local_deliver_finish [kernel] 
0xb7 (0xf523efe0))
Jul  7 21:19:31 benhur0 kernel: [<c01f6dae>] nf_iterate [kernel] 0x2e 
(0xf523efe8))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523effc))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523f00c))
Jul  7 21:19:31 benhur0 kernel: [<c01f70df>] nf_hook_slow [kernel] 0xcf 
(0xf523f010))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523f024))
Jul  7 21:19:31 benhur0 kernel: [<c01f7116>] nf_hook_slow [kernel] 0x106 
(0xf523f028))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523f040))
Jul  7 21:19:32 benhur0 kernel: [<c01f70df>] nf_hook_slow [kernel] 0xcf 
(0xf523f044))
Jul  7 21:19:32 benhur0 kernel: [<c02054ab>] ip_local_deliver [kernel] 0x17b 
(0xf523f068))
Jul  7 21:19:32 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523f080))
Jul  7 21:19:32 benhur0 kernel: [<c0202bcb>] ip_route_input [kernel] 0x3b 
(0xf523f084))
Jul  7 21:19:32 benhur0 kernel: [<c0205815>] ip_rcv [kernel] 0x355 (0xf523f0c4))
Jul  7 21:19:32 benhur0 kernel: [<c01ebebf>] alloc_skb [kernel] 0xef 
(0xf523f0f8))
Jul  7 21:19:32 benhur0 kernel: [<fcae0d85>] speedo_refill_rx_buf [eepro100] 
0x45 (0xf523f110))
Jul  7 21:19:32 benhur0 kernel: [<c020bad0>] tcp_rfree [kernel] 0x0 
(0xf523f12c))
Jul  7 21:19:32 benhur0 kernel: [<c01f0350>] netif_rx [kernel] 0xc0 
(0xf523f138))
Jul  7 21:19:32 benhur0 kernel: [<c01f07f9>] netif_receive_skb [kernel] 0x199 
(0xf523f16c))
Jul  7 21:19:32 benhur0 kernel: [<f89e4651>] elan3mmu_ptealloc [elan3] 0x1001 
(0xf523f194))
Jul  7 21:19:32 benhur0 kernel: [<c01f08a9>] process_backlog [kernel] 0x79 
(0xf523f1ac))
Jul  7 21:19:32 benhur0 kernel: [<c01f09ef>] net_rx_action [kernel] 0x9f 
(0xf523f1dc))
Jul  7 21:19:32 benhur0 kernel: [<c012371b>] do_softirq [kernel] 0x6b 
(0xf523f214))
Jul  7 21:19:32 benhur0 kernel: [<c010ac70>] do_IRQ [kernel] 0x100 (0xf523f230))
Jul  7 21:19:32 benhur0 kernel: [<f89ead75>] elan3mmu_pte_range_update [elan3] 
0xe5 (0xf523f274))
Jul  7 21:19:32 benhur0 kernel: [<f89e7aa6>] user_coproc_update_page [elan3] 
0x46 (0xf523f298))
Jul  7 21:19:32 benhur0 kernel: [<c0132ab7>] do_anonymous_page [kernel] 0x2b7 
(0xf523f2b4))
Jul  7 21:19:32 benhur0 kernel: [<c0132b2c>] do_no_page [kernel] 0x3c 
(0xf523f2e4))
Jul  7 21:19:32 benhur0 kernel: [<c0132f10>] handle_mm_fault [kernel] 0xf0 
(0xf523f330))
Jul  7 21:19:32 benhur0 kernel: [<c012371b>] do_softirq [kernel] 0x6b 
(0xf523f35c))
Jul  7 21:19:32 benhur0 kernel: [<c0133e9f>] find_extend_vma [kernel] 0x1f 
(0xf523f374))
Jul  7 21:19:32 benhur0 kernel: [<c01313b2>] get_user_pages [kernel] 0x82 
(0xf523f390))
Jul  7 21:19:32 benhur0 kernel: [<c01330c3>] make_pages_present [kernel] 0x63 
(0xf523f3b8))
Jul  7 21:19:32 benhur0 kernel: [<f89e5a8e>] LoadElanTranslation [elan3] 0x35e 
(0xf523f3e8))
Jul  7 21:19:32 benhur0 kernel: [<f89e1140>] elan3mmu_checkperm [elan3] 0x80 
(0xf523f400))
Jul  7 21:19:32 benhur0 kernel: [<f89c5f9d>] elan_pagefault [elan3] 0x1cd 
(0xf523f420))
Jul  7 21:19:32 benhur0 kernel: [<f89d95ee>] ResolveTProcTrap [elan3] 0x48e 
(0xf523f44c))
Jul  7 21:19:32 benhur0 kernel: [<f89c654a>] HandleExceptions [elan3] 0x26a 
(0xf523f474))
Jul  7 21:19:32 benhur0 kernel: [<c01f0350>] netif_rx [kernel] 0xc0 
(0xf523f490))
Jul  7 21:19:32 benhur0 kernel: [<c01f07f9>] netif_receive_skb [kernel] 0x199 
(0xf523f4c4))
Jul  7 21:19:32 benhur0 kernel: [<c01f08a9>] process_backlog [kernel] 0x79 
(0xf523f504))
Jul  7 21:19:32 benhur0 kernel: [<c01ec09c>] kfree_skbmem [kernel] 0xc 
(0xf523f514))
Jul  7 21:19:32 benhur0 kernel: [<f89c765e>] elan_lwp [elan3] 0x20e 
(0xf523f610))
Jul  7 21:19:32 benhur0 kernel: [<f89e8cba>] user_ioctl [elan3] 0xf6a 
(0xf523f678))
Jul  7 21:19:32 benhur0 kernel: [<c015b867>] sys_ioctl [kernel] 0x257 
(0xf523ff94))
Jul  7 21:19:32 benhur0 kernel: [<c0109043>] system_call [kernel] 0x33 
(0xf523ffc0))
Comment 5 Steve Snodgrass 2003-07-08 07:35:03 EDT
I can confirm that this bug happens on 2.4.20-18.7smp as well; I upgraded to
that release hoping it might fix it, but the system crashed again within a week.
Comment 6 Daniel J Blueman 2003-07-09 04:59:22 EDT
Found this last night. Latest errata kernel 2.4.20-18.

Jul  7 21:19:29 benhur0 kernel: do_IRQ: stack overflow: 812
Jul  7 21:19:29 benhur0 kernel: c0257b99 0000032c 00000001 f6f7d980 000003e7 
f6f700c0 fcae6002 c0250fa8 
Jul  7 21:19:29 benhur0 kernel:        f6f7d980 f6f70000 001a7443 000003e7 
f6f700c0 fcae6002 00000000 00000068 
Jul  7 21:19:29 benhur0 kernel:        00000068 ffffff05 fcae08e5 00000060 
00000292 00000292 fcae6000 00000000 
Jul  7 21:19:29 benhur0 kernel: Call Trace:   [<fcae08e5>] speedo_start_xmit 
[eepro100] 0x205 (0xf523eb2c))
Jul  7 21:19:29 benhur0 kernel: [<c01fa0ca>] qdisc_restart [kernel] 0x6a 
(0xf523eb60))
Jul  7 21:19:29 benhur0 kernel: [<c01f004e>] dev_queue_xmit [kernel] 0x14e 
(0xf523eb88))
Jul  7 21:19:29 benhur0 kernel: [<c0208302>] ip_output [kernel] 0x102 
(0xf523ebdc))
Jul  7 21:19:29 benhur0 kernel: [<fcad593b>] nulldevname.0 [ip_tables] 0x0 
(0xf523ebe4))
Jul  7 21:19:29 benhur0 kernel: [<c0209ac0>] ip_queue_xmit2 [kernel] 0x120 
(0xf523ec10))
Jul  7 21:19:29 benhur0 kernel: [<fcad8960>] packet_filter [iptable_filter] 0x0 
(0xf523ec20))
Jul  7 21:19:29 benhur0 kernel: [<c01f6dae>] nf_iterate [kernel] 0x2e 
(0xf523ec28))
Jul  7 21:19:29 benhur0 kernel: [<c02099a0>] ip_queue_xmit2 [kernel] 0x0 
(0xf523ec3c))
Jul  7 21:19:29 benhur0 kernel: [<c02099a0>] ip_queue_xmit2 [kernel] 0x0 
(0xf523ec4c))
Jul  7 21:19:29 benhur0 kernel: [<c01f70df>] nf_hook_slow [kernel] 0xcf 
(0xf523ec50))
Jul  7 21:19:29 benhur0 kernel: [<c02099a0>] ip_queue_xmit2 [kernel] 0x0 
(0xf523ec64))
Jul  7 21:19:29 benhur0 kernel: [<c01f7116>] nf_hook_slow [kernel] 0x106 
(0xf523ec68))
Jul  7 21:19:29 benhur0 kernel: [<c0208826>] ip_queue_xmit [kernel] 0x4b6 
(0xf523eca8))
Jul  7 21:19:29 benhur0 kernel: [<c02099a0>] ip_queue_xmit2 [kernel] 0x0 
(0xf523ecc0))
Jul  7 21:19:29 benhur0 kernel: [<c021dd2e>] tcp_v4_send_check [kernel] 0x6e 
(0xf523ed5c))
Jul  7 21:19:29 benhur0 kernel: [<c0218785>] tcp_transmit_skb [kernel] 0x565 
(0xf523ed84))
Jul  7 21:19:29 benhur0 kernel: [<c01eba09>] sock_def_readable [kernel] 0x39 
(0xf523edb0))
Jul  7 21:19:30 benhur0 kernel: [<c02156f3>] tcp_data_queue [kernel] 0x363 
(0xf523edcc))
Jul  7 21:19:30 benhur0 kernel: [<c01ebebf>] alloc_skb [kernel] 0xef 
(0xf523ede0))
Jul  7 21:19:30 benhur0 kernel: [<c020bad0>] tcp_rfree [kernel] 0x0 
(0xf523edf0))
Jul  7 21:19:30 benhur0 kernel: [<c021ad01>] tcp_send_ack [kernel] 0xc1 
(0xf523edf8))
Jul  7 21:19:30 benhur0 kernel: [<c020bad0>] tcp_rfree [kernel] 0x0 
(0xf523ee0c))
Jul  7 21:19:30 benhur0 kernel: [<c0216c0c>] tcp_rcv_established [kernel] 0x3fc 
(0xf523ee1c))
Jul  7 21:19:30 benhur0 kernel: [<fcae1293>] speedo_rx [eepro100] 0x313 
(0xf523ee2c))
Jul  7 21:19:30 benhur0 kernel: [<c0216c39>] tcp_rcv_established [kernel] 0x429 
(0xf523ee4c))
Jul  7 21:19:30 benhur0 kernel: [<fcae0b94>] speedo_interrupt [eepro100] 0x94 
(0xf523ee98))
Jul  7 21:19:30 benhur0 kernel: [<c010a9fe>] handle_IRQ_event [kernel] 0x5e 
(0xf523eebc))
Jul  7 21:19:30 benhur0 kernel: [<c01ed27c>] skb_checksum [kernel] 0x4c 
(0xf523eecc))
Jul  7 21:19:30 benhur0 kernel: [<c010ac54>] do_IRQ [kernel] 0xe4 (0xf523eee4))
Jul  7 21:19:30 benhur0 kernel: [<c021ec68>] tcp_v4_do_rcv [kernel] 0x38 
(0xf523eefc))
Jul  7 21:19:31 benhur0 kernel: [<c021eb9f>] tcp_v4_checksum_init [kernel] 0x7f 
(0xf523ef14))
Jul  7 21:19:31 benhur0 kernel: [<c021f1bd>] tcp_v4_rcv [kernel] 0x46d 
(0xf523ef2c))
Jul  7 21:19:31 benhur0 kernel: [<c021f1bd>] tcp_v4_rcv [kernel] 0x46d 
(0xf523ef60))
Jul  7 21:19:31 benhur0 kernel: [<fcad593b>] nulldevname.0 [ip_tables] 0x0 
(0xf523efa0))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523efc4))
Jul  7 21:19:31 benhur0 kernel: [<fcad8080>] ipt_hook [iptable_filter] 0x20 
(0xf523efcc))
Jul  7 21:19:31 benhur0 kernel: [<c0205957>] ip_local_deliver_finish [kernel] 
0xb7 (0xf523efe0))
Jul  7 21:19:31 benhur0 kernel: [<c01f6dae>] nf_iterate [kernel] 0x2e 
(0xf523efe8))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523effc))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523f00c))
Jul  7 21:19:31 benhur0 kernel: [<c01f70df>] nf_hook_slow [kernel] 0xcf 
(0xf523f010))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523f024))
Jul  7 21:19:31 benhur0 kernel: [<c01f7116>] nf_hook_slow [kernel] 0x106 
(0xf523f028))
Jul  7 21:19:31 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523f040))
Jul  7 21:19:32 benhur0 kernel: [<c01f70df>] nf_hook_slow [kernel] 0xcf 
(0xf523f044))
Jul  7 21:19:32 benhur0 kernel: [<c02054ab>] ip_local_deliver [kernel] 0x17b 
(0xf523f068))
Jul  7 21:19:32 benhur0 kernel: [<c02058a0>] ip_local_deliver_finish [kernel] 
0x0 (0xf523f080))
Jul  7 21:19:32 benhur0 kernel: [<c0202bcb>] ip_route_input [kernel] 0x3b 
(0xf523f084))
Jul  7 21:19:32 benhur0 kernel: [<c0205815>] ip_rcv [kernel] 0x355 (0xf523f0c4))
Jul  7 21:19:32 benhur0 kernel: [<c01ebebf>] alloc_skb [kernel] 0xef 
(0xf523f0f8))
Jul  7 21:19:32 benhur0 kernel: [<fcae0d85>] speedo_refill_rx_buf [eepro100] 
0x45 (0xf523f110))
Jul  7 21:19:32 benhur0 kernel: [<c020bad0>] tcp_rfree [kernel] 0x0 
(0xf523f12c))
Jul  7 21:19:32 benhur0 kernel: [<c01f0350>] netif_rx [kernel] 0xc0 
(0xf523f138))
Jul  7 21:19:32 benhur0 kernel: [<c01f07f9>] netif_receive_skb [kernel] 0x199 
(0xf523f16c))
Jul  7 21:19:32 benhur0 kernel: [<f89e4651>] elan3mmu_ptealloc [elan3] 0x1001 
(0xf523f194))
Jul  7 21:19:32 benhur0 kernel: [<c01f08a9>] process_backlog [kernel] 0x79 
(0xf523f1ac))
Jul  7 21:19:32 benhur0 kernel: [<c01f09ef>] net_rx_action [kernel] 0x9f 
(0xf523f1dc))
Jul  7 21:19:32 benhur0 kernel: [<c012371b>] do_softirq [kernel] 0x6b 
(0xf523f214))
Jul  7 21:19:32 benhur0 kernel: [<c010ac70>] do_IRQ [kernel] 0x100 (0xf523f230))
Jul  7 21:19:32 benhur0 kernel: [<f89ead75>] elan3mmu_pte_range_update [elan3] 
0xe5 (0xf523f274))
Jul  7 21:19:32 benhur0 kernel: [<f89e7aa6>] user_coproc_update_page [elan3] 
0x46 (0xf523f298))
Jul  7 21:19:32 benhur0 kernel: [<c0132ab7>] do_anonymous_page [kernel] 0x2b7 
(0xf523f2b4))
Jul  7 21:19:32 benhur0 kernel: [<c0132b2c>] do_no_page [kernel] 0x3c 
(0xf523f2e4))
Jul  7 21:19:32 benhur0 kernel: [<c0132f10>] handle_mm_fault [kernel] 0xf0 
(0xf523f330))
Jul  7 21:19:32 benhur0 kernel: [<c012371b>] do_softirq [kernel] 0x6b 
(0xf523f35c))
Jul  7 21:19:32 benhur0 kernel: [<c0133e9f>] find_extend_vma [kernel] 0x1f 
(0xf523f374))
Jul  7 21:19:32 benhur0 kernel: [<c01313b2>] get_user_pages [kernel] 0x82 
(0xf523f390))
Jul  7 21:19:32 benhur0 kernel: [<c01330c3>] make_pages_present [kernel] 0x63 
(0xf523f3b8))
Jul  7 21:19:32 benhur0 kernel: [<f89e5a8e>] LoadElanTranslation [elan3] 0x35e 
(0xf523f3e8))
Jul  7 21:19:32 benhur0 kernel: [<f89e1140>] elan3mmu_checkperm [elan3] 0x80 
(0xf523f400))
Jul  7 21:19:32 benhur0 kernel: [<f89c5f9d>] elan_pagefault [elan3] 0x1cd 
(0xf523f420))
Jul  7 21:19:32 benhur0 kernel: [<f89d95ee>] ResolveTProcTrap [elan3] 0x48e 
(0xf523f44c))
Jul  7 21:19:32 benhur0 kernel: [<f89c654a>] HandleExceptions [elan3] 0x26a 
(0xf523f474))
Jul  7 21:19:32 benhur0 kernel: [<c01f0350>] netif_rx [kernel] 0xc0 
(0xf523f490))
Jul  7 21:19:32 benhur0 kernel: [<c01f07f9>] netif_receive_skb [kernel] 0x199 
(0xf523f4c4))
Jul  7 21:19:32 benhur0 kernel: [<c01f08a9>] process_backlog [kernel] 0x79 
(0xf523f504))
Jul  7 21:19:32 benhur0 kernel: [<c01ec09c>] kfree_skbmem [kernel] 0xc 
(0xf523f514))
Jul  7 21:19:32 benhur0 kernel: [<f89c765e>] elan_lwp [elan3] 0x20e 
(0xf523f610))
Jul  7 21:19:32 benhur0 kernel: [<f89e8cba>] user_ioctl [elan3] 0xf6a 
(0xf523f678))
Jul  7 21:19:32 benhur0 kernel: [<c015b867>] sys_ioctl [kernel] 0x257 
(0xf523ff94))
Jul  7 21:19:32 benhur0 kernel: [<c0109043>] system_call [kernel] 0x33 
(0xf523ffc0))
Comment 7 Steve Snodgrass 2003-08-05 11:52:38 EDT
I upgraded to 2.4.20-19.7smp hoping it would fix this.  Nope, it still crashes:

do_IRQ: stack overflow: 696
c02514e5 000002b8 00000001 dd06e980 ffffffff dd06e9bc dec20100 c024a98c
       dd06e980 00000000 dd06e980 ffffffff dd06e9bc dec20100 c7fe6280 08130018
       dd060018 ffffff11 c01e5c3e 00000010 00000206 dd06e9bc c02322a2 dd06e980
Call Trace:   [<c01e5c3e>] __kfree_skb [kernel] 0x3e (0xc7b66998))
[<c02322a2>] packet_rcv_spkt [kernel] 0x1b2 (0xc7b669a8))
[<c02003bb>] ip_defrag [kernel] 0xcb (0xc7b669dc))
[<c01e987f>] dev_queue_xmit_nit [kernel] 0x8f (0xc7b66a04))
[<c01e9b3d>] dev_queue_xmit [kernel] 0x1ed (0xc7b66a24))
[<c01ee0ef>] neigh_resolve_output [kernel] 0x15f (0xc7b66a68))
[<c01ee12a>] neigh_resolve_output [kernel] 0x19a (0xc7b66a7c))
[<e08f7416>] ip_refrag [ip_conntrack] 0x26 (0xc7b66a98))
[<c02032f0>] ip_finish_output2 [kernel] 0x0 (0xc7b66aac))
[<c02032f0>] ip_finish_output2 [kernel] 0x0 (0xc7b66ab8))
[<c01f07fe>] nf_iterate [kernel] 0x2e (0xc7b66abc))
[<c02032f0>] ip_finish_output2 [kernel] 0x0 (0xc7b66ad4))
[<c02033ad>] ip_finish_output2 [kernel] 0xbd (0xc7b66ad8))
[<c02032f0>] ip_finish_output2 [kernel] 0x0 (0xc7b66ae0))
[<c01f0b2f>] nf_hook_slow [kernel] 0xcf (0xc7b66ae4))
[<c01f0b66>] nf_hook_slow [kernel] 0x106 (0xc7b66afc))
[<c02032e0>] output_maybe_reroute [kernel] 0x0 (0xc7b66b28))
[<c02032e0>] output_maybe_reroute [kernel] 0x0 (0xc7b66b38))
[<c0201da8>] ip_output [kernel] 0x158 (0xc7b66b3c))
[<c02032f0>] ip_finish_output2 [kernel] 0x0 (0xc7b66b54))
[<c02032e0>] output_maybe_reroute [kernel] 0x0 (0xc7b66b60))
[<c02032e0>] output_maybe_reroute [kernel] 0x0 (0xc7b66b70))
[<c01f0b2f>] nf_hook_slow [kernel] 0xcf (0xc7b66b74))
[<c02032eb>] output_maybe_reroute [kernel] 0xb (0xc7b66b84))
[<c01f0b66>] nf_hook_slow [kernel] 0x106 (0xc7b66b8c))
[<c0202b29>] ip_build_xmit [kernel] 0x2f9 (0xc7b66bcc))
[<c02032e0>] output_maybe_reroute [kernel] 0x0 (0xc7b66be4))
[<e0986ccb>] vlan_dev_hwaccel_hard_start_xmit [8021q] 0x7b (0xc7b66bfc))
[<c021e53f>] udp_sendmsg [kernel] 0x3cf (0xc7b66c20))
[<c021e040>] udp_getfrag [kernel] 0x0 (0xc7b66c28))
[<e096049c>] tg3_vlan_rx [tg3] 0xbc (0xc7b66c5c))

...and so on...

I'm giving up at this point and ordering an Intel adapter.  At least I'll be
able to verify whether this is or isn't tg3 related.
Comment 8 Steven Danz 2003-10-06 14:00:21 EDT
I upgraded to 2.4.20-20, still have issues with crashes.  

Oct  5 05:55:20 xxxxxxx kernel:
Oct  5 05:55:20 xxxxxxx kernel: do_IRQ: stack overflow: 984
Oct  5 05:55:20 xxxxxxx kernel: c02516a5 000003d8 00000000 c2c36c80 c2c36c80
c2c36c80 00000004 c024ab4c
Oct  5 05:55:20 xxxxxxx kernel:        c2c36c80 00000000 c2c36c80 c2c36c80
c2c36c80 00000004 f5400700 0a640018
Oct  5 05:55:20 xxxxxxx kernel:        a1c80018 ffffff00 c01e5cf5 00000010
00000202 c2c36c80 f5252780 c01e5d6c
Oct  5 05:55:20 xxxxxxx kernel: Call Trace:   [<c01e5cf5>] skb_release_data
[kernel] 0x15 (0xd5a6cab8))
Oct  5 05:55:20 xxxxxxx kernel: [<c01e5d6c>] kfree_skbmem [kernel] 0xc (0xd5a6cacc))
Oct  5 05:55:20 xxxxxxx kernel: [<c01e5eee>] __kfree_skb [kernel] 0x11e
(0xd5a6cadc))
Oct  5 05:55:20 xxxxxxx kernel: [<c020dc9a>] tcp_clean_rtx_queue [kernel] 0x15a
(0xd5a6cae8))
Oct  5 05:55:20 xxxxxxx kernel: [<c020e218>] tcp_ack [kernel] 0x138 (0xd5a6cb54))
Oct  5 05:55:20 xxxxxxx kernel: [<c021050f>] tcp_rcv_established [kernel] 0xef
(0xd5a6cb74))
Oct  5 05:55:20 xxxxxxx kernel: [<c0218878>] tcp_v4_do_rcv [kernel] 0x38
(0xd5a6cc5c))
Oct  5 05:55:20 xxxxxxx kernel: [<c0218dcd>] tcp_v4_rcv [kernel] 0x46d (0xd5a6cc8c))
Oct  5 05:55:20 xxxxxxx kernel: [<f89a02af>] tg3_start_xmit [tg3] 0x12f
(0xd5a6ccfc))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff577>] ip_local_deliver_finish [kernel]
0xb7 (0xd5a6cd40))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xd5a6cd48))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel]
0x0 (0xd5a6cd5c))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel]
0x0 (0xd5a6cd6c))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f0cff>] nf_hook_slow [kernel] 0xcf
(0xd5a6cd70))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel]
0x0 (0xd5a6cd84))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f0d36>] nf_hook_slow [kernel] 0x106
(0xd5a6cd88))
Oct  5 05:55:20 xxxxxxx kernel: [<f895d9a8>] __ip_conntrack_find [ipchains] 0x28
(0xd5a6cd98))
Oct  5 05:55:20 xxxxxxx kernel: [<f895da62>] ip_conntrack_find_get_Rsmp_b2ef83ad
[ipchains] 0x32 (0xd5a6cdb0))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff0cb>] ip_local_deliver [kernel] 0x17b
(0xd5a6cdc8))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff4c0>] ip_local_deliver_finish [kernel]
0x0 (0xd5a6cde0))
Oct  5 05:55:20 xxxxxxx kernel: [<c01fc7eb>] ip_route_input [kernel] 0x3b
(0xd5a6cde4))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff7c4>] ip_rcv_finish [kernel] 0x1d4
(0xd5a6ce24))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xd5a6ce2c))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff5f0>] ip_rcv_finish [kernel] 0x0
(0xd5a6ce40))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff5f0>] ip_rcv_finish [kernel] 0x0
(0xd5a6ce50))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f0cff>] nf_hook_slow [kernel] 0xcf
(0xd5a6ce54))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff5f0>] ip_rcv_finish [kernel] 0x0
(0xd5a6ce68))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f0d36>] nf_hook_slow [kernel] 0x106
(0xd5a6ce6c))
Oct  5 05:55:20 xxxxxxx kernel: [<c0202350>] ip_queue_xmit [kernel] 0x3c0
(0xd5a6ce90))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff47e>] ip_rcv [kernel] 0x39e (0xd5a6ceac))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ff5f0>] ip_rcv_finish [kernel] 0x0
(0xd5a6cec4))
Oct  5 05:55:20 xxxxxxx kernel: [<c021793e>] tcp_v4_send_check [kernel] 0x6e
(0xd5a6cf30))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ea419>] netif_receive_skb [kernel] 0x199
(0xd5a6cf68))
Oct  5 05:55:20 xxxxxxx kernel: [<c01e5b8f>] alloc_skb [kernel] 0xef (0xd5a6cf8c))
Oct  5 05:55:20 xxxxxxx kernel: [<f899f746>] tg3_rx [tg3] 0x296 (0xd5a6cfa8))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f3c94>] qdisc_restart [kernel] 0x14
(0xd5a6cfec))
Oct  5 05:55:20 xxxxxxx kernel: [<f899f8bb>] tg3_poll [tg3] 0x8b (0xd5a6d00c))
Oct  5 05:55:20 xxxxxxx kernel: [<c01ea60f>] net_rx_action [kernel] 0x9f
(0xd5a6d02c))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xd5a6d048))
Oct  5 05:55:20 xxxxxxx kernel: [<c01210ab>] do_softirq [kernel] 0x6b (0xd5a6d064))
Oct  5 05:55:20 xxxxxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xd5a6d07c))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f11d4>] .text.lock.netfilter [kernel] 0xc0
(0xd5a6d080))
Oct  5 05:55:20 xxxxxxx kernel: [<c01e7a6e>] csum_partial_copy_fromiovecend
[kernel] 0x1be (0xd5a6d0a8))
Oct  5 05:55:20 xxxxxxx kernel: [<c0201f78>] ip_output [kernel] 0x158 (0xd5a6d0c8))
Oct  5 05:55:20 xxxxxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xd5a6d0e0))
Oct  5 05:55:20 xxxxxxx kernel: [<c021e25e>] udp_getfrag [kernel] 0x4e (0xd5a6d0ec))
Oct  5 05:55:20 xxxxxxx kernel: [<c0202cd7>] ip_build_xmit [kernel] 0x2d7
(0xd5a6d110))
Oct  5 05:55:20 xxxxxxx kernel: [<c01e9c6e>] dev_queue_xmit [kernel] 0x14e
(0xd5a6d124))
Oct  5 05:55:20 xxxxxxx kernel: [<c021e70f>] udp_sendmsg [kernel] 0x3cf
(0xd5a6d150))
Oct  5 05:55:20 xxxxxxx kernel: [<c021e210>] udp_getfrag [kernel] 0x0 (0xd5a6d158))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f3c94>] qdisc_restart [kernel] 0x14
(0xd5a6d1e8))
Oct  5 05:55:20 xxxxxxx kernel: [<f8969204>] ipfw_ops [ipchains] 0x0 (0xd5a6d1f8))
Oct  5 05:55:20 xxxxxxx kernel: [<c0225295>] inet_sendmsg [kernel] 0x35
(0xd5a6d20c))
Oct  5 05:55:20 xxxxxxx kernel: [<c01e25bc>] sock_sendmsg [kernel] 0x6c
(0xd5a6d220))
Oct  5 05:55:20 xxxxxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xd5a6d23c))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f09ce>] nf_iterate [kernel] 0x2e (0xd5a6d244))
Oct  5 05:55:20 xxxxxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xd5a6d268))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f0cff>] nf_hook_slow [kernel] 0xcf
(0xd5a6d26c))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dc9fd>] do_xprt_transmit [sunrpc] 0xfd
(0xd5a6d284))
Oct  5 05:55:20 xxxxxxx kernel: [<c0201f78>] ip_output [kernel] 0x158 (0xd5a6d2c4))
Oct  5 05:55:20 xxxxxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xd5a6d2dc))
Oct  5 05:55:20 xxxxxxx kernel: [<c021e25e>] udp_getfrag [kernel] 0x4e (0xd5a6d2e8))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dab5f>] call_transmit [sunrpc] 0x3f
(0xd5a6d35c))
Oct  5 05:55:20 xxxxxxx kernel: [<f89de3af>] __rpc_execute [sunrpc] 0xaf
(0xd5a6d36c))
Oct  5 05:55:20 xxxxxxx kernel: [<f89da5a6>] rpc_call_setup_Rsmp_6c26fc57
[sunrpc] 0x46 (0xd5a6d37c))
Oct  5 05:55:20 xxxxxxx kernel: [<f89da489>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x69 (0xd5a6d388))
Oct  5 05:55:20 xxxxxxx kernel: [<f89da49a>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x7a (0xd5a6d3a8))
Oct  5 05:55:20 xxxxxxx kernel: [<f89ed114>] all_tasks [sunrpc] 0x0 (0xd5a6d3c8))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dab90>] call_status [sunrpc] 0x0 (0xd5a6d3fc))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dd860>] rpc_run_timer [sunrpc] 0x0
(0xd5a6d41c))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a0a450>] nfs3_rpc_wrapper [nfs] 0x30
(0xd5a6d458))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a0a55d>] nfs3_proc_getattr [nfs] 0x5d
(0xd5a6d480))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a03da1>] __nfs_revalidate_inode [nfs] 0x101
(0xd5a6d4c8))
Oct  5 05:55:20 xxxxxxx kernel: [<f8964de7>] ipfw_output_check [ipchains] 0x77
(0xd5a6d4dc))
Oct  5 05:55:20 xxxxxxx kernel: [<c01f3c94>] qdisc_restart [kernel] 0x14
(0xd5a6d4f8))
Oct  5 05:55:20 xxxxxxx kernel: [<f89ed1a0>] rpc_credcache_lock [sunrpc] 0x0
(0xd5a6d534))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dfecb>] rpcauth_unbindcred [sunrpc] 0x3b
(0xd5a6d53c))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dec0d>] rpc_release_task_Rsmp_44943b39
[sunrpc] 0x1bd (0xd5a6d54c))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a00adf>] nfs_lookup_revalidate [nfs] 0x22f
(0xd5a6d560))
Oct  5 05:55:20 xxxxxxx kernel: [<f89da489>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x69 (0xd5a6d584))
Oct  5 05:55:20 xxxxxxx kernel: [<f89da4b0>] rpc_call_sync_Rsmp_7932eeae
[sunrpc] 0x90 (0xd5a6d5a0))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dd860>] rpc_run_timer [sunrpc] 0x0
(0xd5a6d618))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a0a481>] nfs3_rpc_wrapper [nfs] 0x61
(0xd5a6d658))
Oct  5 05:55:20 xxxxxxx kernel: [<c0150b99>] vfs_permission [kernel] 0x79
(0xd5a6d65c))
Oct  5 05:55:20 xxxxxxx kernel: [<c0150dbd>] cached_lookup [kernel] 0x2d
(0xd5a6d688))
Oct  5 05:55:20 xxxxxxx kernel: [<c01517bd>] link_path_walk [kernel] 0x79d
(0xd5a6d698))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a03ecc>] __nfs_revalidate_inode [nfs] 0x22c
(0xd5a6d6cc))
Oct  5 05:55:20 xxxxxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xd5a6d6f8))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a00adf>] nfs_lookup_revalidate [nfs] 0x22f
(0xd5a6d75c))
Oct  5 05:55:20 xxxxxxx kernel: [<c0201f78>] ip_output [kernel] 0x158 (0xd5a6d780))
Oct  5 05:55:20 xxxxxxx kernel: [<c02034c0>] ip_finish_output2 [kernel] 0x0
(0xd5a6d798))
Oct  5 05:55:20 xxxxxxx kernel: [<c021e25e>] udp_getfrag [kernel] 0x4e (0xd5a6d7a4))
Oct  5 05:55:20 xxxxxxx kernel: [<c0202cd7>] ip_build_xmit [kernel] 0x2d7
(0xd5a6d7c8))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a03ecc>] __nfs_revalidate_inode [nfs] 0x22c
(0xd5a6d7e0))
Oct  5 05:55:20 xxxxxxx kernel: [<c0201f78>] ip_output [kernel] 0x158 (0xd5a6d7e4))
Oct  5 05:55:20 xxxxxxx kernel: [<c01546ad>] vfs_follow_link [kernel] 0x11d
(0xd5a6d818))
Oct  5 05:55:20 xxxxxxx kernel: [<c0132df2>] read_cache_page [kernel] 0x42
(0xd5a6d81c))
Oct  5 05:55:20 xxxxxxx kernel: [<c0132e65>] read_cache_page [kernel] 0xb5
(0xd5a6d828))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a07a7a>] nfs_getlink [nfs] 0x1a (0xd5a6d84c))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a07ad7>] nfs_getlink [nfs] 0x77 (0xd5a6d85c))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a07bb8>] nfs_follow_link [nfs] 0x28
(0xd5a6d870))
Oct  5 05:55:20 xxxxxxx kernel: [<c0150dbd>] cached_lookup [kernel] 0x2d
(0xd5a6d884))
Oct  5 05:55:20 xxxxxxx kernel: [<c015193e>] link_path_walk [kernel] 0x91e
(0xd5a6d894))
Oct  5 05:55:20 xxxxxxx kernel: [<c0225295>] inet_sendmsg [kernel] 0x35
(0xd5a6d8c4))
Oct  5 05:55:20 xxxxxxx kernel: [<f89ddd63>] __rpc_sleep_on [sunrpc] 0x1a3
(0xd5a6d8dc))
Oct  5 05:55:20 xxxxxxx kernel: [<c0150da0>] cached_lookup [kernel] 0x10
(0xd5a6d8ec))
Oct  5 05:55:20 xxxxxxx kernel: [<c015197e>] link_path_walk [kernel] 0x95e
(0xd5a6d904))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dddac>] rpc_sleep_on_Rsmp_5512823c [sunrpc]
0x3c (0xd5a6d918))
Oct  5 05:55:20 xxxxxxx kernel: [<f89db3da>] __xprt_lock_write_next [sunrpc]
0x3a (0xd5a6d930))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dcdb2>] do_xprt_transmit [sunrpc] 0x4b2
(0xd5a6d940))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a0099c>] nfs_lookup_revalidate [nfs] 0xec
(0xd5a6d95c))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a0a55d>] nfs3_proc_getattr [nfs] 0x5d
(0xd5a6d98c))
Oct  5 05:55:20 xxxxxxx kernel: [<c015a40c>] dput [kernel] 0x1c (0xd5a6d9c0))
Oct  5 05:55:20 xxxxxxx kernel: [<c01546ad>] vfs_follow_link [kernel] 0x11d
(0xd5a6da14))
Oct  5 05:55:20 xxxxxxx kernel: [<c0132df2>] read_cache_page [kernel] 0x42
(0xd5a6da18))
Oct  5 05:55:20 xxxxxxx kernel: [<c0132e65>] read_cache_page [kernel] 0xb5
(0xd5a6da24))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a07a7a>] nfs_getlink [nfs] 0x1a (0xd5a6da48))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a07ad7>] nfs_getlink [nfs] 0x77 (0xd5a6da58))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a07bb8>] nfs_follow_link [nfs] 0x28
(0xd5a6da6c))
Oct  5 05:55:20 xxxxxxx kernel: [<c0150dbd>] cached_lookup [kernel] 0x2d
(0xd5a6da80))
Oct  5 05:55:20 xxxxxxx kernel: [<c01514ee>] link_path_walk [kernel] 0x4ce
(0xd5a6da90))
Oct  5 05:55:20 xxxxxxx kernel: [<f89dd860>] rpc_run_timer [sunrpc] 0x0
(0xd5a6dad4))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a0a481>] nfs3_rpc_wrapper [nfs] 0x61
(0xd5a6db14))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a0a55d>] nfs3_proc_getattr [nfs] 0x5d
(0xd5a6db38))
Oct  5 05:55:20 xxxxxxx kernel: [<c015a40c>] dput [kernel] 0x1c (0xd5a6db4c))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a0099c>] nfs_lookup_revalidate [nfs] 0xec
(0xd5a6db58))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a03ecc>] __nfs_revalidate_inode [nfs] 0x22c
(0xd5a6db88))
Oct  5 05:55:20 xxxxxxx kernel: [<c012e865>] do_mmap_pgoff [kernel] 0x4b5
(0xd5a6dbb4))
Oct  5 05:55:20 xxxxxxx kernel: [<c01546ad>] vfs_follow_link [kernel] 0x11d
(0xd5a6dc10))
Oct  5 05:55:20 xxxxxxx kernel: [<c0132df2>] read_cache_page [kernel] 0x42
(0xd5a6dc14))
Oct  5 05:55:20 xxxxxxx kernel: [<c0132e65>] read_cache_page [kernel] 0xb5
(0xd5a6dc20))
Oct  5 05:55:20 xxxxxxx kernel: [<c0117ac0>] do_page_fault [kernel] 0x0
(0xd5a6dc30))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a07a7a>] nfs_getlink [nfs] 0x1a (0xd5a6dc44))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a07ad7>] nfs_getlink [nfs] 0x77 (0xd5a6dc54))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a07bb8>] nfs_follow_link [nfs] 0x28
(0xd5a6dc68))
Oct  5 05:55:20 xxxxxxx kernel: [<c0150dbd>] cached_lookup [kernel] 0x2d
(0xd5a6dc7c))
Oct  5 05:55:20 xxxxxxx kernel: [<c01514ee>] link_path_walk [kernel] 0x4ce
(0xd5a6dc8c))
Oct  5 05:55:20 xxxxxxx kernel: [<c013e03b>] __alloc_pages [kernel] 0x7b
(0xd5a6dcbc))
Oct  5 05:55:20 xxxxxxx kernel: [<c0143126>] __pte_chain_free [kernel] 0x16
(0xd5a6dcd4))
Oct  5 05:55:20 xxxxxxx kernel: [<c012d8b1>] do_anonymous_page [kernel] 0x291
(0xd5a6dce0))
Oct  5 05:55:20 xxxxxxx kernel: [<c012d8fc>] do_no_page [kernel] 0x3c (0xd5a6dd08))
Oct  5 05:55:20 xxxxxxx kernel: [<c0128cae>] in_group_p [kernel] 0x1e (0xd5a6dd0c))
Oct  5 05:55:20 xxxxxxx kernel: [<c0150b99>] vfs_permission [kernel] 0x79
(0xd5a6dd14))
Oct  5 05:55:20 xxxxxxx kernel: [<c015a40c>] dput [kernel] 0x1c (0xd5a6dd24))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a00d90>] nfs_lookup [nfs] 0x0 (0xd5a6dd34))
Oct  5 05:55:20 xxxxxxx kernel: [<c0150dbd>] cached_lookup [kernel] 0x2d
(0xd5a6dd40))
Oct  5 05:55:20 xxxxxxx kernel: [<c015197e>] link_path_walk [kernel] 0x95e
(0xd5a6dd58))
Oct  5 05:55:20 xxxxxxx kernel: [<c0131d3c>] filemap_nopage [kernel] 0xbc
(0xd5a6dda0))
Oct  5 05:55:20 xxxxxxx kernel: [<c0131d69>] filemap_nopage [kernel] 0xe9
(0xd5a6ddac))
Oct  5 05:55:20 xxxxxxx kernel: [<c0151c7b>] path_lookup [kernel] 0x1b (0xd5a6de0c))
Oct  5 05:55:20 xxxxxxx kernel: [<c014eb66>] open_exec [kernel] 0x16 (0xd5a6de1c))
Oct  5 05:55:20 xxxxxxx kernel: [<c014f70e>] do_execve [kernel] 0x1e (0xd5a6de4c))
Oct  5 05:55:20 xxxxxxx kernel: [<c0126765>] wake_up_parent [kernel] 0x25
(0xd5a6de78))
Oct  5 05:55:20 xxxxxxx kernel: [<c0126826>] do_notify_parent [kernel] 0xa6
(0xd5a6de84))
Oct  5 05:55:20 xxxxxxx kernel: [<c012dcde>] handle_mm_fault [kernel] 0x12e
(0xd5a6dea8))
Oct  5 05:55:20 xxxxxxx kernel: [<c0147314>] fput [kernel] 0xd4 (0xd5a6ded0))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a08757>] nfs_scan_commit [nfs] 0x27
(0xd5a6def0))
Oct  5 05:55:20 xxxxxxx kernel: [<f8a0a1db>] nfs_commit_file [nfs] 0x3b
(0xd5a6df14))
Oct  5 05:55:20 xxxxxxx kernel: [<c012712c>] do_sigaction [kernel] 0xdc
(0xd5a6df48))
Oct  5 05:55:20 xxxxxxx kernel: [<c0127523>] sys_rt_sigaction [kernel] 0x93
(0xd5a6df60))
Oct  5 05:55:20 xxxxxxx kernel: [<c0150ade>] getname [kernel] 0x5e (0xd5a6df90))
Oct  5 05:55:20 xxxxxxx kernel: [<c0107680>] sys_execve [kernel] 0x30 (0xd5a6dfa4))
Oct  5 05:55:20 xxxxxxx kernel: [<c0108be3>] system_call [kernel] 0x33 (0xd5a6dfc0))
Oct  5 05:55:20 xxxxxxx kernel:
Comment 9 Howard Owen 2003-11-10 13:38:42 EST
This looks like the problem described in bug #108092, with root cause
described in blocking bug #87659. Briefly, gcc-2.96-113 produces
kernels with this flaw. A workaround is to rebuild the kernel with
gcc-2.96-112.
Comment 10 Howard Owen 2003-11-10 13:46:51 EST
This looks like the problem described in bug #108092, with root cause
described in blocking bug #87659. Briefly, gcc-2.96-113 produces
kernels with this flaw. A workaround is to rebuild the kernel with
gcc-2.96-112.
Comment 11 James Dickson 2003-12-09 16:51:49 EST
Created attachment 96435 [details]
Steeleye NFS Kernel Errors on HP DL380 HA Cluster running Steeleye LifeKeeper

Running Steeleye LifeKeeper w/ NFS
Comment 12 Howard Owen 2003-12-31 18:00:29 EST
Part of a root-cause fix for this problem is described in bug #87659
Comment 13 Jeff Garzik 2004-03-03 00:36:13 EST
Even though the tg3 stack usage was due to gcc bug, this should be
fixed in RHEL3 / Fedora due to the ethtool_ops support.
Comment 14 Bugzilla owner 2004-09-30 11:41:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.